{
  "id": "374ee328927b9467ad611955",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type CommentNode added in go1.16",
  "content": "# type parse.type CommentNode ¶\n\n      added in\n      go1.16\n\n```\ntype CommentNode struct {\n\tNodeType\n\tPos\n\n\tText string // Comment text.\n\t// contains filtered or unexported fields\n}\n```\n\nCommentNode holds a comment.",
  "url": "https://pkg.go.dev/parse#type CommentNode ¶\n  \n    \n      added in\n      go1.16",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type CommentNode ¶\n  \n    \n      added in\n      go1.16",
    "type_kind": "alias",
    "underlying": "type CommentNode struct {\n\tNodeType\n\tPos\n\n\tText string // Comment text.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "9e7de0d8f2b52893ce75b28e058684d96fa9aa1090a3fd95815e08de5be9e33c",
  "timestamp": "2026-02-23T11:22:10.617568461+01:00"
}